{
    "pages" : [
        //pages数组中第一项表示应用启动页
        {
            "path" : "pages/indexs/index/index",
            "style" : {
                "navigationBarTitleText" : "首页"
            }
        },
        {
            "path" : "pages/payment/orderPayment/orderPayment",
            "style" : {
                "navigationBarTitleText" : "订单支付",
                "enablePullDownRefresh" : false
            }
        }, 
        {
            "path" : "pages/login/login",
            "style" : {
                "navigationBarTitleText" : "",
                "enablePullDownRefresh" : false
            }
        },
        {
            "path" : "pages/payment/paySuccess/paySuccess",
            "style" : {
                "navigationBarTitleText" : "支付成功",
                "enablePullDownRefresh" : false
            }
        },
        {
            "path" : "pages/payment/ourPayment/ourPayment",
            "style" : {
                "navigationBarTitleText" : "订单支付",
                "enablePullDownRefresh" : false
            }
        },
        {
            "path" : "pages/combination/combiChoose/combiChoose",
            "style" : {
                "navigationBarTitleText" : "产品选择",
                "enablePullDownRefresh" : false
            }
        },
        {
            "path" : "pages/my/order/electronicTicket/electronicTicket",
            "style" : {
                "navigationBarTitleText" : "电子门票",
                "enablePullDownRefresh" : false
            }
        },
				{
				    "path" : "pages/my/order/productList/productList",
				    "style" : {
				        "navigationBarTitleText" : "我的订单",
				        "enablePullDownRefresh" : false
				    }
				},
        {
            "path" : "pages/combination/sourceCombiChoose/sourceCombiChoose",
            "style" : {
                "navigationBarTitleText" : "产品选择",
                "enablePullDownRefresh" : false
            }
        },
        {
            "path" : "pages/combination/distributionCombiChoose/distributionCombiChoose",
            "style" : {
                "navigationBarTitleText" : "产品选择",
                "enablePullDownRefresh" : false
            }
        },
        
        {
            "path" : "pages/scenic/scenicSingleOrder/scenicSingleOrder",
            "style" : {
                "navigationBarTitleText" : "",
                "enablePullDownRefresh" : false
            }
        },
        {
            "path" : "pages/my/order/intelTicket/intelTicket",
            "style" : {
                "navigationBarTitleText" : "",
                "enablePullDownRefresh" : false
            }
        },
        {
            "path" : "pages/combination/combiOrder/combiOrder",
            "style" : {
                "navigationBarTitleText" : "",
                "enablePullDownRefresh" : false
            }
        },
        {
            "path" : "pages/scenic/scenicJointOrder/scenicJointOrder",
            "style" : {
                "navigationBarTitleText" : "",
                "enablePullDownRefresh" : false
            }
        },
        {
            "path" : "pages/my/order/orderList/orderList",
            "style" : {
                "navigationBarTitleText" : "订单列表",
                "enablePullDownRefresh" : false
            }
        },
        {
            "path" : "pages/common/coupon/coupon",
            "style" : {
                "navigationBarTitleText" : "领劵中心",
                "enablePullDownRefresh" : false
            }
        },
        {
            "path" : "pages/common/getTicket/getTicket",
            "style" : {
                "navigationBarTitleText" : "",
                "enablePullDownRefresh" : false
            }
        },
        {
            "path" : "pages/common/questionConsultation/questionConsultation",
            "style" : {
                "navigationBarTitleText" : "",
                "enablePullDownRefresh" : false
            }
        },
        {
            "path" : "pages/scenic/scenicProduct/scenicProduct",
            "style" : {
                "navigationBarTitleText" : "产品",
                "enablePullDownRefresh" : false
            }
        },
        {
            "path" : "pages/indexs/dongjianIndex/dongjianIndex",
            "style" : {
                "navigationBarTitleText" : "洞舰",
                "enablePullDownRefresh" : false
            }
        },
        {
            "path" : "pages/my/order/afterSale/applyAfterSale/applyAfterSale",
            "style" : {
                "navigationBarTitleText" : "售后",
                "enablePullDownRefresh" : false
            }
        },
        {
            "path" : "pages/indexs/hghgIndex/hghgIndex",
            "style" : {
                "navigationBarTitleText" : "湖广会馆",
                "enablePullDownRefresh" : false
            }
        },
				{
					"path" : "pages/my/exchangeCode/exchangeIndex/exchangeIndex",
					"style" : {
							"navigationBarTitleText" : "兑换",
							"enablePullDownRefresh" : false
					}
				},
				{
					"path" : "pages/common/simpleProduct/simpleProduct",
					"style" : {
							"navigationBarTitleText" : "产品选择",
							"enablePullDownRefresh" : false
					}
				}
        ,{
            "path" : "pages/payment/distributionPayment/distributionPayment",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "订单支付",
                "enablePullDownRefresh": false
            }
            
        }
        ,{
            "path" : "pages/indexs/merchantListIndex/merchantListIndex",
            "style" :                                                                                    
            {
                "navigationBarTitleText":"商品列表",
                "enablePullDownRefresh": false
            }
            
        }
        ,{
            "path" : "pages/scenic/scenicChooseProduct/scenicChooseProduct",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "产品选择",
                "enablePullDownRefresh": false
            }
            
        }
				
        ,{
            "path" : "pages/hotel/hotelIndex/hotelIndex",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "酒店",
                "enablePullDownRefresh": false
            }
            
        }
        ,{
            "path" : "pages/specialProduct/specialIndex/specialIndex",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "特产",
                "enablePullDownRefresh": false
            }
            
        }
        ,{
            "path" : "pages/scenic/scenicIndex/scenicIndex",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "景区",
                "enablePullDownRefresh": false
            }
            
        }
        ,{
            "path" : "pages/my/center/center",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "个人中心",
                "enablePullDownRefresh": false
            }
            
        }
        ,{
            "path" : "pages/my/shopCart/shopCart",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "购物车",
                "enablePullDownRefresh": false
            }
            
        }
        ,{
            "path" : "pages/my/commonInfo/commonInfo",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "常用信息",
                "enablePullDownRefresh": false
            }
            
        }
        ,{
            "path" : "pages/my/passCode/codeResult/codeResult",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "通行码",
                "enablePullDownRefresh": false
            }
            
        }
        ,{
            "path" : "pages/my/customerService/enterpriseWechat/enterpriseWechat",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "",
                "enablePullDownRefresh": false
            }
            
        }
        ,{
            "path" : "pages/my/couponCenter/myCouponList/myCouponList",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "我的券列表",
                "enablePullDownRefresh": false
            }
            
        }
        ,{
            "path" : "pages/my/travelList/travelList/travelList",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "行程单",
                "enablePullDownRefresh": false
            }
            
        }
        ,{
            "path" : "pages/my/travelNotes/myTravelogue/myTravelogue",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "我的行记",
                "enablePullDownRefresh": false
            }
            
        }
        ,{
            "path" : "pages/my/order/afterSale/afterSaleList/afterSaleList",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "售后列表",
                "enablePullDownRefresh": false
            }
            
        }
    ],
		//分包加载配置，此配置为小程序的分包加载机制。
		"subPackages": [
			{
			"root": "pages/vlog", //子包的根目录
			"pages": [
				{
				    "path" : "vlogIndex/vlogIndex",
				    "style" : {
				        "navigationBarTitleText" : "欢乐影集",
				        "enablePullDownRefresh" : false,
				        "navigationBarBackgroundColor" : "#ffffff",
				        "navigationBarTextStyle" : "black"
				    }
				},
				{
				    "path" : "vlogface/vlogface",
				    "style" : {
				        "navigationBarTitleText" : "扫脸获取视频",
				        "enablePullDownRefresh" : false,
				        "navigationBarBackgroundColor" : "#ffffff",
				        "navigationBarTextStyle" : "black"
				    }
				},
				{
				    "path" : "scenicList/scenicList",
				    "style" : {
				        "enablePullDownRefresh" : false,
				        "backgroundColor" : "#192033"
				    }
				},
				{
				    "path" : "vlogList/vlogList",
				    "style" : {
				        "navigationBarTitleText" : "我的Vlog集",
				        "enablePullDownRefresh" : false,
				        "backgroundColor" : "#192033"
				    }
				},
				{
				    "path" : "share/share",
				    "style" : {
				        "navigationBarTitleText" : "Vlog",
				        "enablePullDownRefresh" : false
				    }
				},
				{
				    "path" : "myVlog/myVlog",
				    "style" : {
				        "navigationBarTitleText" : "我的Vlog集",
				        "enablePullDownRefresh" : false,
				        "navigationBarBackgroundColor" : "#fff",
				        "navigationBarTextStyle" : "black"
				    }
				},
				{
				    "path" : "product/product",
				    "style" : {
				        "navigationBarTitleText" : "产品列表",
				        "enablePullDownRefresh" : false,
				        "navigationBarBackgroundColor" : "#fff",
				        "navigationBarTextStyle" : "black"
				    }
				},
				{
				    "path" : "productDetails/productDetails",
				    "style" : {
				        "navigationBarTitleText" : "产品详情",
				        "enablePullDownRefresh" : false,
				        "navigationBarBackgroundColor" : "#fff",
				        "navigationBarTextStyle" : "black"
				    }
				},
				{
				    "path" : "uploadPictures/uploadPictures",
				    "style" : {
				        "navigationBarTitleText" : "上传照片",
				        "enablePullDownRefresh" : false,
				        "navigationBarBackgroundColor" : "#fff",
				        "navigationBarTextStyle" : "black"
				    }
				},
				{
				    "path" : "u-avatar-cropper/u-avatar-cropper",
				    "style" : {
				        "navigationBarTitleText" : "照片裁剪",
				        "navigationBarBackgroundColor" : "#000000"
				    }
				},
				{
				    "path" : "pictureFormat/pictureFormat",
				    "style" : {
				        "navigationBarTitleText" : "照片调整",
				        "enablePullDownRefresh" : false,
				        "navigationBarBackgroundColor" : "#ffffff",
				        "navigationBarTextStyle" : "black"
				    }
				},
				{
				    "path" : "myVlogPhotos/myVlogPhotos",
				    "style" : {
				        "navigationBarTitleText" : "我的vlog照片",
				        "enablePullDownRefresh" : false,
				        "navigationBarBackgroundColor" : "#ffffff",
				        "navigationBarTextStyle" : "black"
				    }
				},
				{
            "path" : "orderPay/orderPay",
            "style" : {
                "navigationBarTitleText" : "确认订单",
                "enablePullDownRefresh" : false,
                "navigationBarBackgroundColor" : "#ffffff",
                "navigationBarTextStyle" : "black"
            }
        },
        {
            "path" : "shippingAddress/shippingAddress",
            "style" : {
                "navigationBarTitleText" : "填写收货地址",
                "enablePullDownRefresh" : false,
                "navigationBarBackgroundColor" : "#ffffff",
                "navigationBarTextStyle" : "black"
            }
        }
			]
			},
			{
				"root":"pages/album",
				"pages": [
					{
					    "path" : "albumIndex",
					    "style" :                                                                                    
					    {
					        "navigationBarTitleText": "相册首页",
					        "enablePullDownRefresh": false,
									"navigationStyle": "custom"
					    }
					},
					{
					    "path" : "chooseFavorite",
					    "style" :                                                                                    
					    {
					        "navigationBarTitleText": "景区喜好",
					        "enablePullDownRefresh": false,
									"navigationStyle": "custom"
					    }
					},
					{
					    "path" : "getPortrait",
					    "style" :                                                                                    
					    {
					        "navigationBarTitleText": "获取人像",
					        "enablePullDownRefresh": false,
									"navigationStyle": "custom"
					    }
					}
					,{
					    "path" : "myPhotoAlbum/myPhotoAlbum",
					    "style" :                                                                                    
					    {
					        "navigationBarTitleText": "我的相册",
					        "enablePullDownRefresh": false
					    }
					    
					}
					,{
					    "path" : "albumOrderdetail/albumOrderdetail",
					    "style" :                                                                                    
					    {
					        "navigationBarTitleText": "",
					        "enablePullDownRefresh": false
					    }
					    
					}
				    ,{
                    "path" : "purchasedPhotoAlbum/purchasedPhotoAlbum",
                    "style" :                                                                                    
                {
                    "navigationBarTitleText": "我的影集",
                    "enablePullDownRefresh": false
                }
                
                }
                ,{
                    "path" : "DIYPurchase/DIYPurchase",
                    "style" :                                                                                    
                {
                    "navigationBarTitleText": "影像DIY",
                    "enablePullDownRefresh": false
                }
                
                }
                ,{
                    "path" : "DIYDetails/DIYDetails",
                    "style" :                                                                                    
                {
                    "navigationBarTitleText": "我的相片",
                    "enablePullDownRefresh": false
                }
                
                }
            ]
			}
		],
    "globalStyle" : {
        "navigationBarTextStyle" : "white",
        "navigationBarTitleText" : "",
        "navigationBarBackgroundColor" : "#192033",
        "backgroundColor" : "#F8F8F8"
    },
		// 配置tabbar导航栏
		"tabBar": {
			"color": "#7A7E83", //字体颜色
			"selectedColor": "#007AFF", //选中时字体颜色
			"borderStyle": "black", //底部的上边框线条
			"backgroundColor": "#F8F8F8", //底部背景色
			"fontSize": "18px", //字体大小
			"spacing": "10px", //字体到图标的距离
			"iconWidth": "16px",
			"list": [{
				"pagePath": "pages/indexs/index/index",
				"iconPath": "static/img/index/home.png",
				"selectedIconPath":"static/img/index/homeChoose.png",
				"text": "首页"
			}, {
				"pagePath": "pages/my/center/center",
				"iconPath": "static/img/index/my.png",
				"selectedIconPath":"static/img/index/myChoose.png",
				"text": "我的"
			}]
		},
    "condition" : {
        //模式配置，仅开发期间生效
        "current" : 0, //当前激活的模式(list 的索引项)
        "list" : [
            {
                "name" : "", //模式名称
                "path" : "", //启动页面，必选
                "query" : "" //启动参数，在页面的onLoad函数里面得到
            }
        ]
    },
    "easycom" : {
        // 下载安装的方式需要前面的"@/"，npm安装的方式无需"@/"
        // 下载安装方式
        "^u-(.*)" : "@/uview-ui/components/u-$1/u-$1.vue"
    }
}
// npm安装方式
// "^u-(.*)": "uview-ui/components/u-$1/u-$1.vue"

